Package ru.bitel.bgbilling.modules.assist.common.bean

# Class Transaction

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.common.bean.BGAbstractTransaction
ru.bitel.bgbilling.modules.assist.common.bean.Transaction

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class Transaction extends BGAbstractTransaction
Платёж, информация о платеже. Используется как модель в БД.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Transaction.Builder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Transaction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Transaction.Builder`
  `builder()`
  `Long`
  `getBillnumber()`
  `String`
  `getCardholderName()`
  `String`
  `getCardsubtype()`
  `String`
  `getCardText()`
  `String`
  `getCardtype()`
  `String`
  `getComment()`
  `String`
  `getEmail()`
  `String`
  `getIpaddress()`
  `String`
  `getName()`
  `String`
  `getPan()`
  `int`
  `getRecurringParentId()`
  `String`
  `getResponseCode()`
  `void`
  `setBillnumber(Long billnumber)`
  `void`
  `setCardholderName(String cardholder)`
  `void`
  `setCardsubtype(String cardsubtype)`
  `void`
  `setCardtype(String cardtype)`
  `void`
  `setComment(String comment)`
  `void`
  `setEmail(String email)`
  `void`
  `setIpaddress(String ipaddress)`
  `void`
  `setName(String name)`
  `void`
  `setPan(String pan)`
  `void`
  `setRecurringParentId(int recurringParentId)`
  `void`
  `setResponseCode(String responseCode)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGAbstractTransaction

  `getContractComment, getContractId, getContractTitle, getCreateDate, getParameter, getParameters, getPaymentId, getStatus, getSum, getTransactionDate, getTransactionId, getTransactionType, isAutopayment, setAutopayment, setContractComment, setContractId, setContractTitle, setCreateDate, setParameters, setPaymentId, setStatus, setSum, setTransactionDate, setTransactionId, setTransactionType`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Transaction

    public Transaction()

- ## Method Details

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getEmail

    public String getEmail()

  - ### setEmail

    public void setEmail(String email)

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getIpaddress

    public String getIpaddress()

  - ### setIpaddress

    public void setIpaddress(String ipaddress)

  - ### getCardtype

    public String getCardtype()

  - ### setCardtype

    public void setCardtype(String cardtype)

  - ### getCardsubtype

    public String getCardsubtype()

  - ### setCardsubtype

    public void setCardsubtype(String cardsubtype)

  - ### getBillnumber

    public Long getBillnumber()

  - ### setBillnumber

    public void setBillnumber(Long billnumber)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `BGAbstractTransaction`

  - ### setResponseCode

    public void setResponseCode(String responseCode)

  - ### getResponseCode

    public String getResponseCode()

  - ### getCardText

    public String getCardText()

  - ### getRecurringParentId

    public int getRecurringParentId()

  - ### setRecurringParentId

    public void setRecurringParentId(int recurringParentId)

  - ### getPan

    public String getPan()
    Overrides:
      `getPan` in class `BGAbstractTransaction`

  - ### setPan

    public void setPan(String pan)

  - ### setCardholderName

    public void setCardholderName(String cardholder)

  - ### getCardholderName

    public String getCardholderName()
    Overrides:
      `getCardholderName` in class `BGAbstractTransaction`

  - ### builder

    public static Transaction.Builder builder()